Subject: Re: dlopen() bug (new testcase)
From: skaller <[email-masked]>
To: Bernhard Loos <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Mar 2006 16:24:38 +1100

On Wed, 2006-03-22 at 23:07 +0100, Bernhard Loos wrote:

Code below. I want to confirm: I have two Cygwin installations.
I upgraded one to use 1.5.19, the other uses 1.5.18.

1.5.18 runs the below code fine. It crashes with 1.5.19.

For me even worse -- it crashes even a statically linked
executable which previously worked and does no dlopen()
or anything else nasty.

So I have a dumb question -- how do I revert to 1.5.18?

(Also .. how do I get rebaseall to work?)

> This is a new CrashTest.cc, the other files remains the same:
> #include <pthread.h>
> 
> pthread_key_t key;
> 
> void key_init()
> {
>   pthread_key_create(&key, 0);
> }
> 
> void
> key_init_once()
> {
>   static pthread_once_t once = PTHREAD_ONCE_INIT;
>   pthread_once(&once, key_init);
> }
> 
> class lala
> {
> 	public:
> 		lala()
> 		{
> //			  key_init();
> 			  key_init_once();
> 		}
> };
> 
> lala la;
> 
> extern "C" __declspec(dllexport)
> void test()
> {
> 	return;
> }
> 
>                  Bernhard
> ______________________________________________________________
> Verschicken Sie romantische, coole und witzige Bilder per SMS!
> Jetzt bei WEB.DE FreeMail: http://f.web.de/?mc=021193
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
-- 
John Skaller <skaller at users dot sf dot net>
Felix, successor to C++: http://felix.sf.net

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/